# Package org.apache.sysds.runtime.privacy

Class Summary
CheckedConstraintsLog: Class counting the checked privacy constraints and the loaded privacy constraints.
PrivacyConstraint: PrivacyConstraint holds all privacy constraints for data in the system at compile time and runtime.
PrivacyMonitor
PrivacyUtils

Enum Summary
PrivacyConstraint.PrivacyLevel

Exception Summary
DMLPrivacyException: This exception should be thrown to flag DML runtime errors related to the violation of privacy constraints.